Package com.trilead.ssh2.auth

# Class AuthenticationManager

java.lang.Object
com.trilead.ssh2.auth.AuthenticationManager

All Implemented Interfaces:
  `MessageHandler`

public class AuthenticationManager extends Object implements MessageHandler
AuthenticationManager.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationManager(TransportManager tm)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`authenticateInteractive(String user, String[] submethods, InteractiveCallback cb)`
`boolean`
`authenticateNone(String user)`
`boolean`
`authenticatePassword(String user, String pass)`
`boolean`
`authenticatePublicKey(String user, char[] PEMPrivateKey, String password, SecureRandom rnd)`
`boolean`
`authenticatePublicKey(String user, AgentProxy proxy)`
`boolean`
`getPartialSuccess()`
`String[]`
`getRemainingMethods(String user)`
`void`
`handleMessage(byte[] msg, int msglen)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthenticationManager

public AuthenticationManager(TransportManager tm)

## Method Details

### getRemainingMethods

public String[] getRemainingMethods(String user) throws IOException

Throws:
  `IOException`

### getPartialSuccess

public boolean getPartialSuccess()

### authenticatePublicKey

public boolean authenticatePublicKey(String user, AgentProxy proxy) throws IOException

Throws:
  `IOException`

### authenticatePublicKey

public boolean authenticatePublicKey(String user, char[] PEMPrivateKey, String password, SecureRandom rnd) throws IOException

Throws:
  `IOException`

### authenticateNone

public boolean authenticateNone(String user) throws IOException

Throws:
  `IOException`

### authenticatePassword

public boolean authenticatePassword(String user, String pass) throws IOException

Throws:
  `IOException`

### authenticateInteractive

public boolean authenticateInteractive(String user, String[] submethods, InteractiveCallback cb) throws IOException

Throws:
  `IOException`

### handleMessage

public void handleMessage(byte[] msg, int msglen) throws IOException

Specified by:
  `handleMessage` in interface `MessageHandler`
Throws:
  `IOException`